/*
Base
*/

/* Reset */
*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Color-Schema */

:root {
    --dark-green: #2a7e8fff;
    --light-green: #c0eaf2;
    --dark-grey: #646363;
    --light-grey: #eee;
}

/*Font Scaling*/
html {
    font-size: 120%;

}


body {
    font-family: "Cormorant Garamond", serif;
    font-optical-sizing: auto;
    font-style: normal;
    font-weight: 400;
    letter-spacing: 1px;
    line-height: 1.625;
    margin: 0;
    border: none;
}




h1 {
    font-size: 3em;
    font-variant: small-caps;
}

h2 {
    font-size: 2em;
    font-variant: small-caps;
}

h3 {
    font-size: 1.4em;
    
}

h4 {
    font-size: 1.2em;
    font-weight: 700;
}

h5 {
    font-size: 1.1em;
    font-weight: 700;
}

h6 {
    font-size: 1em;
    font-weight: 700;
}




ul {
    list-style-type: disc;
    /* Standardsymbol für die erste Ebene */
    padding-left: 2em;
    /* Einrückung für bessere Optik */
}

ul ul {
    list-style-type: circle;
    /* Symbol für die zweite Verschachtelungsebene */
}

ul ul ul {
    list-style-type: square;
    /* Symbol für die dritte Verschachtelungsebene */
}

/* Zusätzliche Formatierung für Listenelemente */
ul li {
    margin-bottom: 1em;
    /* Abstand zwischen den Listenelementen */
}



/* Components */

main {
    padding-top: 4.2rem;
    padding-bottom: 4.2rem;
}

table {
    width: 100%;
    /* Tabellenbreite auf 100% */
    border-collapse: collapse;
    margin-bottom: 0.8em;
}

td {
    padding: 0;
    border: 0.1em transparent;
    text-align: left;
    word-wrap: break-word;
    /* Zeilenumbruch bei langen Wörtern */
}

.hide-on-small-screen {
    display: none;
}


.site-header {
    background-color: var(--dark-grey);
    color: white;
    padding: 0.1rem 0;
    width: 100%;
    overflow: hidden;
    position: fixed;
}

.site-footer {
    background-color: var(--light-green);
    color: black;
    padding: 0.1rem 0;
    width: 100%;
    font-size: 50%;
    text-align: center;
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 1000;
    /* Damit es über dem Rest des Inhalts bleibt */
}

.site-footer a {
    color: black;
    text-decoration: none;
    padding: 0;
    display: block;
    width: 100%;
}

.site-footer a:hover {
    color: var(--dark-green);
}

.flexcontainer {
    display: flex;
    flex-wrap: wrap;
    /* Ermöglicht das Umfließen der Container */
    gap: 20px;
    /* Abstand zwischen den Containern */
}

.flexcontainerbox {
    flex: 1;
    /* Container teilen den verfügbaren Platz gleichmäßig */
    min-width: 320px;
    /* Minimale Breite für jeden Container */
    padding: 20px;
    box-sizing: border-box;
    /* Padding und Border in die Gesamtgröße einbeziehen */
}

.site-header .wrap {
    width: 100%;
    display: flex;
    flex-direction: column;
    /* Für Mobilansicht (Säulenlayout) */
}

.site-header .top {
    display: flex;
    justify-content: flex-start;
    /* Logo und Toggle Button */
    align-items: center;
    width: 100%;
}

.logo-link {
    display: inline-flex;
    align-items: center;
}

.logo-image {
    height: 4em;
    /* Passe die Höhe ggf. an */
    width: auto;
}

.menu-toggle {
    background: none;
    border: none;
    font-size: 3em;
    cursor: pointer;
    display: block;
    /* Mobile Ansicht sichtbar */
}

.nav-primary {
    display: none;
    /* Wird durch JavaScript sichtbar gemacht */
}

.nav-secondary .menu {
    list-style: none;
    padding: 0;
    margin: 0;
}



.nav-primary .menu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    /* Mobilansicht als Spalte */
    width: 100%;
}

.menu-item {
    margin: 0;
    /* Kein vertikaler Abstand zwischen Menü-Items */
}

.nav-primary .menu-item a {
    font-size: 1.2em;
    color: white;
    font-variant: small-caps;
    text-decoration: none;
    padding: 0;
    display: block;
    width: 100%;
    /* Volle Breite für Klickfläche */
}

.nav-primary .menu-item a:hover {
    color: var(--light-green);
}

.image-section {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    aspect-ratio: 16/9;
    width: 100%;
}

.front-page .image-section {
    background-color: transparent;
    background-image: url('/images/startbild.jpg');
}







.front-page .headline-section {
    font-size: 2.5vw;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--dark-green);
    width: 100%;
    text-align: center;
    flex-direction: column;

}

.headline-section ul {
    list-style-type: none;
    /* Entfernt die Aufzählungszeichen */
    padding: 0;
    text-indent: 2em;
    margin: 0;
    /* Entfernt den Standard-Abstand der Liste */
    text-align: left;
    /* Richtet den Text linksbündig aus */
}

.headline-section ul li {
    margin-bottom: 0.1em;
    /* Abstand zwischen den Listenelementen */
}

.logo-section {
    display: flex;
    align-items: center;
    justify-content: center;
}

:target {
    scroll-margin-top: 4.2rem;
    /* Höhe deines Headers */
}







article {

    /* Layout und Abstand */
    margin: 20px auto;
    /* Zentriert den Artikel und gibt ihm einen horizontalen und vertikalen Abstand */
    padding: 15px;
    /* Innenabstand um den Inhalt */
    max-width: 1000px;
    /* nicht breiter als ca. eine DIN-A4-Seite */
    hyphens: auto;
    /* Silbentrennung */

    /* Zählerinitialisierung */

}

article p {
    margin-bottom: 1em;
    /* Einfache Absatzformatierung */
}



article h2 {
    margin-top: 15px;
    /* Abstand über der Überschrift */
    margin-bottom: 10px;
    /* Abstand unter der Überschrift */
    counter-reset: h3-counter h4-counter;
}

article h3 {
    margin-top: 15px;
    /* Abstand über der Überschrift */
    margin-bottom: 10px;
    /* Abstand unter der Überschrift */
    counter-reset: h4-counter;
}

article h4 {
    margin-top: 15px;
    /* Abstand über der Überschrift */
    margin-bottom: 10px;
    /* Abstand unter der Überschrift */
}

.numbered-headers {
    counter-reset: h2-counter;
    /* Initialisiert den Zähler für Überschriften */
}

.numbered-headers h2 {
    counter-reset: h3-counter h4-counter;
}

.numbered-headers h3 {
    counter-reset: h4-counter;
}

.numbered-headers h2::before {
    counter-increment: h2-counter;
    content: counter(h2-counter) ". ";
}


.numbered-headers h3::before {
    counter-increment: h3-counter;
    content: counter(h2-counter) "." counter(h3-counter) ". ";
}

.numbered-headers h4::before {
    counter-increment: h4-counter;
    content: counter(h2-counter) "." counter(h3-counter) "." counter(h4-counter) ". ";
}

.h3-summary {
    font-size: 1.4em;
    
    font-weight: bold;
}

details::details-content {
    padding-left: 1em;
    padding-top: 1em;
}






@media (min-width: 1280px) {

    html {
        font-size: 130%;
    }

    .hide-on-small-screen {
        display: block;
    }



    .side-header {
        overflow-x: scroll;
    }

    .site-header .wrap {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        /* Reihenorientierte Flexbox in Desktop-Ansicht */
    }

    .site-header .top {
        margin-right: auto;
        align-items: center;
    }

    .nav-primary {
        display: block;
        margin-left: auto;
        /* Menü am rechten Rand */
    }

    .nav-primary .menu {
        flex-direction: row;
        /* Menüpunkte in einer Reihe */
        width: auto;
    }

    .menu-toggle {
        display: none;
        /* breite Ansicht unsichtbar */
    }

    .nav-primary .menu-item a {
        padding: 0.8rem 1rem
            /* Etwas mehr Platz für die Desktop-Ansicht */
    }
}

/* Sichtbarkeit des Menüs bei Aktivierung */
.is-active {
    display: block !important;
}